(file) Return to commands-tog-pegasus.rc CVS log (file) (dir) Up to [Pegasus] / pegasus / rpm

Diff for /pegasus/rpm/commands-tog-pegasus.rc between version 1.2 and 1.6

version 1.2, 2006/01/30 16:16:24 version 1.6, 2008/12/16 18:55:38
Line 1 
Line 1 
 #//%2006////////////////////////////////////////////////////////////////////////  #//%LICENSE////////////////////////////////////////////////////////////////
 #// #//
 #// Copyright (c) 2000, 2001, 2002 BMC Software; Hewlett-Packard Development  #// Licensed to The Open Group (TOG) under one or more contributor license
 #// Company, L.P.; IBM Corp.; The Open Group; Tivoli Systems.  #// agreements.  Refer to the OpenPegasusNOTICE.txt file distributed with
 #// Copyright (c) 2003 BMC Software; Hewlett-Packard Development Company, L.P.;  #// this work for additional information regarding copyright ownership.
 #// IBM Corp.; EMC Corporation, The Open Group.  #// Each contributor licenses this file to you under the OpenPegasus Open
 #// Copyright (c) 2004 BMC Software; Hewlett-Packard Development Company, L.P.;  #// Source License; you may not use this file except in compliance with the
 #// IBM Corp.; EMC Corporation; VERITAS Software Corporation; The Open Group.  #// License.
 #// Copyright (c) 2005 Hewlett-Packard Development Company, L.P.; IBM Corp.;  
 #// EMC Corporation; VERITAS Software Corporation; The Open Group.  
 #// Copyright (c) 2006 Hewlett-Packard Development Company, L.P.; IBM Corp.;  
 #// EMC Corporation; Symantec Corporation; The Open Group.  
 #// #//
 #// Permission is hereby granted, free of charge, to any person obtaining a copy  #// Permission is hereby granted, free of charge, to any person obtaining a
 #// of this software and associated documentation files (the "Software"), to  #// copy of this software and associated documentation files (the "Software"),
 #// deal in the Software without restriction, including without limitation the  #// to deal in the Software without restriction, including without limitation
 #// rights to use, copy, modify, merge, publish, distribute, sublicense, and/or  #// the rights to use, copy, modify, merge, publish, distribute, sublicense,
 #// sell copies of the Software, and to permit persons to whom the Software is  #// and/or sell copies of the Software, and to permit persons to whom the
 #// furnished to do so, subject to the following conditions:  #// Software is furnished to do so, subject to the following conditions:
 #// #//
 #// THE ABOVE COPYRIGHT NOTICE AND THIS PERMISSION NOTICE SHALL BE INCLUDED IN  #// The above copyright notice and this permission notice shall be included
 #// ALL COPIES OR SUBSTANTIAL PORTIONS OF THE SOFTWARE. THE SOFTWARE IS PROVIDED  #// in all copies or substantial portions of the Software.
 #// "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT  
 #// LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR  
 #// PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT  
 #// HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN  
 #// ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION  
 #// WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.  
 #// #//
 #//==============================================================================  #// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
   #// OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
   #// MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
   #// IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY
   #// CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,
   #// TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE
   #// SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
   #//
   #//////////////////////////////////////////////////////////////////////////
 prog=cimserver prog=cimserver
  
 test -x $CIMSERVER_BIN || exit 5  if [ ! -x $CIMSERVER_BIN ]; then
       echo -n "tog-pegasus $1: $CIMSERVER_BIN not found or not executable.";
       exit 1;
   fi;
   
   [ -e /etc/sysconfig/tog-pegasus ] && . /etc/sysconfig/tog-pegasus;
  
 . /lib/lsb/init-functions . /lib/lsb/init-functions
 RETVAL=0 RETVAL=0
  
 case "$1" in case "$1" in
      start)      start)
           if [ ! -e ${PEGASUS_SSL_CONF_FILE} ] || [ ! -e ${PEGASUS_SSL_CERT_FILE} ] ||
              [ ! -e ${PEGASUS_SSL_KEY_FILE} ]  || [ ! -e ${PEGASUS_SSL_TRUSTSTORE} ]; then
              if [ -x $PEGASUS_SCRIPT_DIR/genOpenPegasusSSLCerts ]; then
                  echo -n "tog-pegasus: Generating cimserver SSL certificates...";
                  $PEGASUS_SCRIPT_DIR/genOpenPegasusSSLCerts;
                  if [ $? -eq 0 ]; then
                      echo "SSL certificates generated";
                  else
                      echo "SSL certificates failed";
                  fi;
                  echo;
              fi;
           fi;
         echo -n $"Starting up CIM server: "         echo -n $"Starting up CIM server: "
         $CIMSERVER_BIN          $CIMSERVER_BIN ${CIMSERVER_OPTIONS}
         RETVAL=$?         RETVAL=$?
         [ "$RETVAL" -eq 0 ] && log_success_msg $"$prog start" || log_failure_msg $"$prog start"         [ "$RETVAL" -eq 0 ] && log_success_msg $"$prog start" || log_failure_msg $"$prog start"
         echo          echo;
         ;;         ;;
  
      stop)      stop)
Line 55 
Line 71 
         pid=`pidofproc $CIMSERVER_BIN`         pid=`pidofproc $CIMSERVER_BIN`
         RETVAL=$?         RETVAL=$?
         if [ "$RETVAL" -eq 0 ]; then         if [ "$RETVAL" -eq 0 ]; then
                 echo "CIM server is running"                  echo "CIM server ($pid) is running"
         else         else
                 echo "CIM server is not running"                 echo "CIM server is not running"
         fi         fi
Line 69 
Line 85 
         fi;         fi;
         ;;         ;;
      try-restart)      try-restart)
         $0 stop && $0 start          $0 stop && $0 start;
         ;;         ;;
      restart|force-reload)      restart|force-reload)
         $0 stop          $0 stop;
         $0 start          $0 start;
         ;;         ;;
      reload)      reload)
         ;;         ;;


Legend:
Removed from v.1.2  
changed lines
  Added in v.1.6

No CVS admin address has been configured
Powered by
ViewCVS 0.9.2